# mpi4py.MPI.Intracomm

class mpi4py.MPI.Intracomm

  Bases: `Comm`

  Intracommunicator.

  static __new__(cls, comm=None)
    Parameters:

      comm (Intracomm | None)

    Return type:

      Self

  Methods Summary

  `Accept`(port_name[, info, root]) | Accept a request to form a new intercommunicator.
  `Cart_map`(dims[, periods]) | Determine optimal process placement on a Cartesian topology.
  `Connect`(port_name[, info, root]) | Make a request to form a new intercommunicator.
  `Create_cart`(dims[, periods, reorder]) | Create cartesian communicator.
  `Create_dist_graph`(sources, degrees, destinations) | Create distributed graph communicator.
  `Create_dist_graph_adjacent`(sources, destinations) | Create distributed graph communicator.
  `Create_from_group`(group[, stringtag, info, ...]) | Create communicator from group.
  `Create_graph`(index, edges[, reorder]) | Create graph communicator.
  `Create_group`(group[, tag]) | Create communicator from group.
  `Create_intercomm`(local_leader, peer_comm, ...) | Create intercommunicator.
  `Exscan`(sendbuf, recvbuf[, op]) | Exclusive Scan.
  `Exscan_init`(sendbuf, recvbuf[, op, info]) | Persistent Exclusive Scan.
  `Graph_map`(index, edges) | Determine optimal process placement on a graph topology.
  `Iexscan`(sendbuf, recvbuf[, op]) | Inclusive Scan.
  `Iscan`(sendbuf, recvbuf[, op]) | Inclusive Scan.
  `Scan`(sendbuf, recvbuf[, op]) | Inclusive Scan.
  `Scan_init`(sendbuf, recvbuf[, op, info]) | Persistent Inclusive Scan.
  `Spawn`(command[, args, maxprocs, info, root, ...]) | Spawn instances of a single MPI application.
  `Spawn_multiple`(command[, args, maxprocs, ...]) | Spawn instances of multiple MPI applications.
  `exscan`(sendobj[, op]) | Exclusive Scan.
  `scan`(sendobj[, op]) | Inclusive Scan.

  Methods Documentation

  Accept(port_name, info=INFO_NULL, root=0)

    Accept a request to form a new intercommunicator.

    Parameters:

      - port_name (str)

      - info (Info)

      - root (int)

    Return type:

      Intercomm

  Cart_map(dims, periods=None)

    Determine optimal process placement on a Cartesian topology.

    Parameters:

      - dims (Sequence[int])

      - periods (Sequence[bool] | None)

    Return type:

      int

  Connect(port_name, info=INFO_NULL, root=0)

    Make a request to form a new intercommunicator.

    Parameters:

      - port_name (str)

      - info (Info)

      - root (int)

    Return type:

      Intercomm

  Create_cart(dims, periods=None, reorder=False)

    Create cartesian communicator.

    Parameters:

      - dims (Sequence[int])

      - periods (Sequence[bool] | None)

      - reorder (bool)

    Return type:

      Cartcomm

  Create_dist_graph(sources, degrees, destinations, weights=None, info=INFO_NULL, reorder=False)

    Create distributed graph communicator.

    Parameters:

      - sources (Sequence[int])

      - degrees (Sequence[int])

      - destinations (Sequence[int])

      - weights (Sequence[int] | None)

      - info (Info)

      - reorder (bool)

    Return type:

      Distgraphcomm

  Create_dist_graph_adjacent(sources, destinations, sourceweights=None, destweights=None, info=INFO_NULL, reorder=False)

    Create distributed graph communicator.

    Parameters:

      - sources (Sequence[int])

      - destinations (Sequence[int])

      - sourceweights (Sequence[int] | None)

      - destweights (Sequence[int] | None)

      - info (Info)

      - reorder (bool)

    Return type:

      Distgraphcomm

  classmethod Create_from_group(group, stringtag='org.mpi4py', info=INFO_NULL, errhandler=None)

    Create communicator from group.

    Parameters:

      - group (Group)

      - stringtag (str)

      - info (Info)

      - errhandler (Errhandler | None)

    Return type:

      Intracomm

  Create_graph(index, edges, reorder=False)

    Create graph communicator.

    Parameters:

      - index (Sequence[int])

      - edges (Sequence[int])

      - reorder (bool)

    Return type:

      Graphcomm

  Create_group(group, tag=0)

    Create communicator from group.

    Parameters:

      - group (Group)

      - tag (int)

    Return type:

      Intracomm

  Create_intercomm(local_leader, peer_comm, remote_leader, tag=0)

    Create intercommunicator.

    Parameters:

      - local_leader (int)

      - peer_comm (Intracomm)

      - remote_leader (int)

      - tag (int)

    Return type:

      Intercomm

  Exscan(sendbuf, recvbuf, op=SUM)

    Exclusive Scan.

    Parameters:

      - sendbuf (BufSpec | InPlace)

      - recvbuf (BufSpec)

      - op (Op)

    Return type:

      None

  Exscan_init(sendbuf, recvbuf, op=SUM, info=INFO_NULL)

    Persistent Exclusive Scan.

    Parameters:

      - sendbuf (BufSpec | InPlace)

      - recvbuf (BufSpec)

      - op (Op)

      - info (Info)

    Return type:

      Prequest

  Graph_map(index, edges)

    Determine optimal process placement on a graph topology.

    Parameters:

      - index (Sequence[int])

      - edges (Sequence[int])

    Return type:

      int

  Iexscan(sendbuf, recvbuf, op=SUM)

    Inclusive Scan.

    Parameters:

      - sendbuf (BufSpec | InPlace)

      - recvbuf (BufSpec)

      - op (Op)

    Return type:

      Request

  Iscan(sendbuf, recvbuf, op=SUM)

    Inclusive Scan.

    Parameters:

      - sendbuf (BufSpec | InPlace)

      - recvbuf (BufSpec)

      - op (Op)

    Return type:

      Request

  Scan(sendbuf, recvbuf, op=SUM)

    Inclusive Scan.

    Parameters:

      - sendbuf (BufSpec | InPlace)

      - recvbuf (BufSpec)

      - op (Op)

    Return type:

      None

  Scan_init(sendbuf, recvbuf, op=SUM, info=INFO_NULL)

    Persistent Inclusive Scan.

    Parameters:

      - sendbuf (BufSpec | InPlace)

      - recvbuf (BufSpec)

      - op (Op)

      - info (Info)

    Return type:

      Prequest

  Spawn(command, args=None, maxprocs=1, info=INFO_NULL, root=0, errcodes=None)

    Spawn instances of a single MPI application.

    Parameters:

      - command (PathLike | str | bytes)

      - args (Sequence[str] | None)

      - maxprocs (int)

      - info (Info)

      - root (int)

      - errcodes (list[int] | None)

    Return type:

      Intercomm

  Spawn_multiple(command, args=None, maxprocs=None, info=INFO_NULL, root=0, errcodes=None)

    Spawn instances of multiple MPI applications.

    Parameters:

      - command (Sequence[PathLike | str | bytes])

      - args (Sequence[Sequence[str]] | None)

      - maxprocs (Sequence[int] | None)

      - info (Sequence[Info] | Info)

      - root (int)

      - errcodes (list[list[int]] | None)

    Return type:

      Intercomm

  exscan(sendobj, op=SUM)

    Exclusive Scan.

    Parameters:

      - sendobj (Any)

      - op (Op | Callable[[Any, Any], Any])

    Return type:

      Any

  scan(sendobj, op=SUM)

    Inclusive Scan.

    Parameters:

      - sendobj (Any)

      - op (Op | Callable[[Any, Any], Any])

    Return type:

      Any